package cn.hmsoft.ltc.common.constants;

/**
 * 系统常量类.
 * @author zq
 *
 */
public class SysConst {

	//最大章节数.
	public static final int MAX_CHAPTERS = 25;
	/**
	 * 试卷状态.
	 * @author zq
	 *
	 */
	public enum PaperStageEnum {
		/**
		 * 新建
		 */
		NEW("新建"),
		/**
		 * 细目表编辑完成
		 */
		DT_DONE("细目表编辑完成"),
		/**
		 * 题目编辑完成
		 */
		QUES_DONE("题目编辑完成"),
		/**
		 * 完成
		 */
		ALL_DONE("完成");
		
		String caption;
		
		private PaperStageEnum(String caption) {
			this.caption = caption;
		}

		public String toString() {
			return this.caption;
		}
		
		public static String getCaptionByVal(int ordinary) {
			for (PaperStageEnum obj : PaperStageEnum.values()) {
				if (obj.ordinal() == ordinary) {
					return obj.caption;
				}
			}
			return "";
		}
	}
	
	public static void main(String[] args) {
		System.err.println(PaperStageEnum.getCaptionByVal(0));
	}
}
